import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.jinsight.jetchart.*;
import java.io.*;

public class Example30 extends JFrame  implements Runnable {
    
    Graph graph;
    
    public Example30() {
	
        graph=new Graph();
	
        graph.setTitle(new String[]{"The JetChart Library","Reading data from an XML source"});
	
        BarSerie bs=new BarSerie();
        bs.setTitle("Bar series");
        bs.setColor(new Color(00,99,00));
        bs.setId(1);
	
	LineSerie ls=new LineSerie();
        ls.setTitle("Line series");
        ls.setColor(Color.red);
        ls.setMarksEnabled(false);
        ls.setThickness(2);
        ls.setId(2);
	
	graph.addSerie(bs);
        graph.addSerie(ls);
	
        Grid grid=graph.getGraphSet(0).getGrid();
        grid.setEnabled(true);
        //grid.setThickness(2);
	
        Container ct=getContentPane();
        ct.add(graph);
	
        setSize(550,300);
        setVisible(true);
        
	Thread t=new Thread(this);
        t.start();
    }
    
    public void run() {
	
        FileReader fr=null;
	
        while (true) {
	    
	    try {
		
		fr=new FileReader("chart.xml");
		
		graph.readXMLData(fr);
		graph.repaint();
		
		Thread.sleep(5000);
		
	    }
	    catch (InterruptedException e) {
		e.printStackTrace();
	    }
	    catch (IOException e) {
		e.printStackTrace();
	    }
	    finally {
		try {
		    if (fr!=null) 
			fr.close();
		}
		catch (IOException e) {
		}
	    }
        }
        
    }
    
    public static void main(String[] args) {
	new Example30();
    }
    
}


