import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.jinsight.jetchart.*;
import java.io.*;

public class Example32 extends JFrame  {

   public Example32() {

        Graph graph=new Graph();
	
        graph.setTitle(new String[]{"The JetChart Library","Logarithmic scales"});
	
        graph.setVerticalLabelsEnabled(true);
	
        GraphSet graphSet=graph.getGraphSet(0);
        
	Scale scale=graphSet.getScale();
	
        // Disables the automatic scale. 
        scale.setAutoScaleEnabled(false);
	
        scale.setLogEnabled(true);
        scale.setLogBase(10); 
	
        // Sets the indexes of the only visible scale labels, from top to bottom.
        scale.setVisibleLabelsIndexes(new int[]{0,11,22,33,44});
	
        scale.setValueFormat("$ ###,###,###");
        scale.setMaxValue(1000000);
        scale.setMinValue(100);
        
	Grid grid=graphSet.getGrid();
        grid.setEnabled(true);
        grid.setColor(Color.decode("#cccccc"));
        
	// Enables the inner logarithmic grid lines and set the number of inner lines
        // to 10.
        grid.setInnerLogLinesEnabled(true);
        grid.setInnerLogLinesCount(10);
        
	LineSerie ls=new LineSerie();
        ls.setTitle("Line series");
        ls.setColor(Color.red);
        ls.setThickness(2);
        ls.setMarksEnabled(false);
	
        graph.addSerie(ls);
	
        FileReader fr=null;
        try {
	    fr=new FileReader("logchart.xml");
	    graph.readXMLData(fr);
        }
        catch (IOException e) {
	    e.printStackTrace();
        }
        finally {
	    try {
		if (fr!=null)
		    fr.close();
	    }
	    catch (IOException e) {
	    }
        }
	
        Container ct=getContentPane();
        ct.add(graph);
	
        setSize(500,400);
        setVisible(true);
   }
    
    public static void main(String[] args) {
	new Example32();
    }
    
}


